Не устанавливается Pyrit.

Discussion in 'Песочница' started by MOHAX_228, 28 Feb 2016.

  1. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Говно всякое ставите, а потом плачете что не работает

    localhost ~ yaourt -S cpyrit-cuda

    ==> Загрузка PKGBUILD cpyrit-cuda из AUR...
    x .SRCINFO
    x PKGBUILD

    As I said in the svn package, this no longer works with the new cuda package in community which seems to be version 5. Looks like we're going to have to get a cuda4-toolkit package going or something, the last update to pyrit was in April 2011.


    then ... makedepends = cuda ?


    I had to recompile the package to get it to work, and to do that I had to edit setup.py. I changed NVIDIA_INC_DIRS = [] to NVIDIA_INC_DIRS = ['/opt/cuda/include'] on line 33 and then it compiled. Not sure how to fix that in the PKGBUILD.


    fixed!


    Hey guys this still functional with the current CUDA packages? Also the PKGBUILD is depreciated/needs the package() function, thanks!

    cpyrit-cuda 0.4.0-2 (2015-08-24 19:59)
    ( Неподдерживаемый пакет: Потенциально опасен ! )
    ==> Отредактировать PKGBUILD ? Да/нет [Y/n] ("A" для отмены)
    ==> --------------------------------------------------------
    ==> n

    ==> зависимости cpyrit-cuda:
    - python2 (уже установлен) [makedepend]
    - openssl (уже установлен)
    - zlib (уже установлен)
    - gcc (уже установлен) [makedepend]
    - python2 (уже установлен) [makedepend]
    - nvidia (пакет найден)
    - pyrit (пакет найден)
    - cuda (сборка из AUR) [makedepend]


    ==> Продолжить сборку cpyrit-cuda ? Да/нет [Y/n]
    ==> --------------------------------------------
     
  2. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Подключи дебиановские.
     
  3. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    Не уверен, к тому же не знаю какие. главное чтобы полсистемы не перелопатило.
     
  4. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Те, на какой ветке слеплена кали.
    Обновляешь базы данных пакетов, ставишь только то, что нужно, отключаешь репы, обновляешь базы пакетов.

    Вариант №72. Ставишь нормальный дистрибутив, не страдаешь херней.
     
  5. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    "нормальных" дистрибутивов не бывает. у каждого свой выбор :)
    буду рад, если скинешь репы, которые надо добавить.
     
  6. rct

    rct Active Member

    Joined:
    13 Jun 2015
    Messages:
    359
    Likes Received:
    107
    Reputations:
    7
    Буду рад если ты освоишь поиск.
     
  7. 50_Terabytes

    50_Terabytes Member

    Joined:
    16 May 2015
    Messages:
    179
    Likes Received:
    50
    Reputations:
    3
    Спасибо, с завтрашнего дня попробую освоить.
    это был сарказм, без обид :)
     
  8. MOHAX_228

    MOHAX_228 New Member

    Joined:
    16 Feb 2016
    Messages:
    39
    Likes Received:
    1
    Reputations:
    0
    Сегодня я переставил систему в связи с глобальными проблемами, возникшими из-за мое "криворукости". И первое что я сделал это:
    1. Доустановил русский язык.
    2. Установил драйвер Nvidia таким путём:
      1. sudo add-apt-repository ppa:xorg-edgers/ppa
      2. sudo apt-get update
      3. И через раздел "Программы и обновления" установил драйвер Nvidia.
      4. После выполнения "glxinfo | grep OpenGL" вижу, что драйвер стал.
    Code:
    mohax@PC:~/Рабочий стол$ glxinfo | grep OpenGL[/B][/B][/B][/INDENT][/INDENT][/INDENT][/INDENT]
    [B][B][B][INDENT][INDENT][INDENT][INDENT]OpenGL vendor string: NVIDIA Corporation
    OpenGL renderer string: GeForce 410M/PCIe/SSE2
    OpenGL core profile version string: 4.3.0 NVIDIA 352.63
    OpenGL core profile shading language version string: 4.30 NVIDIA via Cg compiler
    OpenGL core profile context flags: (none)
    OpenGL core profile profile mask: core profile
    OpenGL core profile extensions:
    OpenGL version string: 4.5.0 NVIDIA 352.63
    OpenGL shading language version string: 4.50 NVIDIA
    OpenGL context flags: (none)
    OpenGL profile mask: (none)
    OpenGL extensions:
    mohax@PC:~/Рабочий стол$
    

    3). Принялся за установку драйвера CUDA:
    1. Скачал по этой ссылке. "Installer Type" выбрал "deb(local).
    2. Далее следовал прилагающейся инструкции:
    • sudo dpkg -i cuda-repo-ubuntu1404-7-5-local_7.5-18_amd64.deb
    • sudo apt-get update
    • sudo apt-get install cuda
    3). И на последнем шаге мне выдало это:​
    Code:
    mohax@PC:~/Рабочий стол$ sudo apt-get install cuda
    Чтение списков пакетов… Готово
    Построение дерева зависимостей   
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:
    
    Пакеты, имеющие неудовлетворённые зависимости:
    unity-control-center : Зависит: libcheese-gtk23 (>= 3.4.0) но он не будет установлен
                            Зависит: libcheese7 (>= 3.0.1) но он не будет установлен
    E: Ошибка, pkgProblemResolver::Resolve сгенерировал повреждённые пакеты. Это может быть вызвано отложенными (held) пакетами.
    mohax@PC:~/Рабочий стол$
    
    

    Пробовал:
    Code:
    sudo apt-get download libcheese-gtk23
    sudo dpkg -i libcheese-gtk23.deb
    sudo apt-get update
    sudo apt-get install libcheese-gtk23
    sudo apt-get download libcheese-gtk23_3.10.2-0ubuntu2_amd64
    sudo dpkg -i libcheese-gtk23_3.10.2-0ubuntu2_amd64.deb
    sudo apt-get update
    sudo apt-get install libcheese-gtk23_3.10.2-0ubuntu2_amd64
    
    Проблема осталась.
    Некоторые товарищи в сети советуют:
    Code:
    sudo apt-get install xserver-xorg-dev-lts-utopicmesa-common-dev-lts-utopic
    libgles2-mesa-dev-lts-utopic libgles1-mesa-dev-lts-utopic libgl1-mesa-dev-lts-utopic libegl1-mesa-dev-lts-utopic
    
    Но уведомляют о проблемах с Intel'овским драйвером после перезапуска :-|
    А как бы поступили в таком случает Вы? Просто не хочу опять всё пересрать.
    -----------------------------------------------------------------------------------------------------------------------------------------
    Ubuntu 14.04, GeForce 410M


     
    #28 MOHAX_228, 1 Mar 2016
    Last edited: 1 Mar 2016
  9. gazazell

    gazazell New Member

    Joined:
    13 Sep 2015
    Messages:
    12
    Likes Received:
    1
    Reputations:
    0
    Для перебора на видеокарте ставятся только драйвера с официального сайта, далее по мануалу коих в сети полно. Если ставите атишные дрова, то дело может быть и в самом драйвере, у меня например последние версии упорно не хотели работать.
    Еще рискну порекомендовать вам не последний дистриб кали, а кали 1.0 с добавленными и обновленными репозиториями.
     
  10. hydra

    hydra Elder - Старейшина

    Joined:
    24 Jul 2015
    Messages:
    2,301
    Likes Received:
    22,368
    Reputations:
    30
    sudo apt-get install nvidia-cuda-toolkit
     
Loading...